import { AfterViewInit } from '@angular/core';
import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const VITAMUI_INPUT_VALUE_ACCESSOR: any;
export declare class VitamUIInputComponent implements ControlValueAccessor, OnInit, AfterViewInit {
    type: string;
    maxlength: number;
    placeholder: string;
    autofocus: boolean;
    value: string | number;
    get autoFocus(): boolean;
    set autoFocus(value: boolean);
    private _autoFocus;
    get disabled(): boolean;
    set disabled(value: boolean);
    private _disabled;
    get required(): boolean;
    set required(value: boolean);
    private _required;
    private input;
    focused: boolean;
    labelFloat: boolean;
    onChange: (_: any) => void;
    onTouched: () => void;
    onClick(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    writeValue(value: string | number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onTextChange(value: string): void;
    onNumberChange(value: number): void;
    onValueChange(value: string): void;
    onFocus(): void;
    onBlur(): void;
    setDisabledState(isDisabled: boolean): void;
}
