import { Address } from '../customer';
import { Id } from '../id.interface';
import { Analytics } from './analytics.interface';
export interface User extends Id {
    identifier?: string;
    email: string;
    firstname: string;
    lastname: string;
    mobile: string;
    phone: string;
    language: string;
    level: string;
    groupId: string;
    customerId: string;
    otp: boolean;
    status: string;
    type: string;
    subrogeable: boolean;
    nbFailedAttempts: number;
    lastConnection: string;
    readonly: boolean;
    address: Address;
    internalCode?: string;
    analytics?: Analytics;
    siteCode: string;
    centerCode: string;
    photo?: string;
    disablingDate: string;
}
